OpenVDB 3.2.0

Namespaces | Typedefs | Functions
openvdb.h File Reference
`#include "Platform.h"`
`#include "Types.h"`
`#include "Metadata.h"`
`#include "math/Maps.h"`
`#include "math/Transform.h"`
`#include "Grid.h"`
`#include "tree/Tree.h"`
`#include "io/File.h"`

Go to the source code of this file.

## Namespaces
| openvdb
| openvdb::v3_2_0

## Typedefs
typedef tree::Tree4< ValueMask, 5, 4, 3 >::Type | MaskTree
| Common tree types. More...
typedef tree::Tree4< bool, 5, 4, 3 >::Type | BoolTree
typedef tree::Tree4< float, 5, 4, 3 >::Type | FloatTree
typedef tree::Tree4< double, 5, 4, 3 >::Type | DoubleTree
typedef tree::Tree4< int32_t, 5, 4, 3 >::Type | Int32Tree
typedef tree::Tree4< uint32_t, 5, 4, 3 >::Type | UInt32Tree
typedef tree::Tree4< int64_t, 5, 4, 3 >::Type | Int64Tree
typedef tree::Tree4< Vec2i, 5, 4, 3 >::Type | Vec2ITree
typedef tree::Tree4< Vec2s, 5, 4, 3 >::Type | Vec2STree
typedef tree::Tree4< Vec2d, 5, 4, 3 >::Type | Vec2DTree
typedef tree::Tree4< Vec3i, 5, 4, 3 >::Type | Vec3ITree
typedef tree::Tree4< Vec3f, 5, 4, 3 >::Type | Vec3STree
typedef tree::Tree4< Vec3d, 5, 4, 3 >::Type | Vec3DTree
typedef tree::Tree4< std::string, 5, 4, 3 >::Type | StringTree
typedef MaskTree | TopologyTree
typedef Vec3STree | Vec3fTree
typedef Vec3DTree | Vec3dTree
typedef FloatTree | ScalarTree
typedef Vec3fTree | VectorTree
typedef Grid< MaskTree > | MaskGrid
| Common grid types. More...
typedef Grid< BoolTree > | BoolGrid
typedef Grid< FloatTree > | FloatGrid
typedef Grid< DoubleTree > | DoubleGrid
typedef Grid< Int32Tree > | Int32Grid
typedef Grid< Int64Tree > | Int64Grid
typedef Grid< Vec3ITree > | Vec3IGrid
typedef Grid< Vec3STree > | Vec3SGrid
typedef Grid< Vec3DTree > | Vec3DGrid
typedef Grid< StringTree > | StringGrid
typedef Vec3SGrid | Vec3fGrid
typedef Vec3DGrid | Vec3dGrid
typedef FloatGrid | ScalarGrid
typedef Vec3fGrid | VectorGrid
typedef MaskGrid | TopologyGrid

## Functions
OPENVDB_IMPORT void | initialize ()
| Global registration of basic types. More...
OPENVDB_IMPORT void | uninitialize ()
| Global deregistration of basic types. More...